POST
https://octopusx.ai
/
v1
/
videos
/
{video_id}
/
extend
Video Extend
curl --request POST \
  --url https://octopusx.ai/v1/videos/{video_id}/extend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "size": "<string>",
  "aspect_ratio": "<string>",
  "start_time": 123,
  "upscale": true
}
'
{
  "id": "grok:48a67431-0708-46d1-9ab9-83cb84700153",
  "status": "processing",
  "status_update_time": 1762685256
}

Video Extend

OpenAI format entry point. For unified videos, please use Video Extend (Unified Video) (POST /v1/video/extend, pass task_id in the Body). Based on an existing Grok video task, extend the video content from a specified point in time via POST /v1/videos/{video_id}/extend.
  • The path parameter video_id is the original task ID.
  • The request body is JSON, with required model and prompt.
  • You can specify the second in the original video to start extending from via start_time, and supplement reference images through images.

Method and Path

POST /v1/videos/{video_id}/extend

Request Example

curl -X POST https://octopusx.ai/v1/videos/grok:48a67431-0708-46d1-9ab9-83cb84700153/extend \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
    "model": "grok-video-3",
    "prompt": "play with another white cat",
    "aspect_ratio": "3:2",
    "start_time": 4,
    "size": "1080P",
    "upscale": true
  }'

Response Example

{
  "id": "grok:48a67431-0708-46d1-9ab9-83cb84700153",
  "status": "processing",
  "status_update_time": 1762685256
}

Authentication

Authorization: Bearer YOUR_API_KEY

Path Parameters

video_id
string
required
Original video task ID.

Body

model
string
required
Model name, for example grok-video-3.
prompt
string
required
Prompt for the extended segment.
images
array<string>
List of reference image URLs, used to add visual constraints as needed.
size
string
Resolution specification, pass 720P or 1080P. The Apifox example also uses 1080p; it is recommended to standardize on uppercase 1080P.
aspect_ratio
string
Video ratio, with values such as 3:2 used in the Apifox example.
start_time
integer
The second in the original video from which to start extending.
upscale
boolean
Whether to apply HD enhancement to the output.

Response

id
string
New extend task ID.
status
string
Task status. Common values include processing, completed, and failed.
status_update_time
integer
Most recent status update time (Unix timestamp).